EDIT - bug #7481

ReferenceEditor: filter inReferences by applicable reference type
06/15/2018 04:17 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

Currently the inReferences combobox offers all references which are in the system.
This could be limited to the references which are applicable to the chosen reference type.

e Article -> Journal

¢ Book -> PrintSeries | Journal

¢ BookSection -> Book

InProceedings -> Proceedings

Section -> Article | Book | Thesis | Patent | Report | Webpage | inProceedings | BookSection

References of the type Generic and null should also be included. (Note: after release of this feature, this has been rejected: see
#8149)

Related issues:
Related to EDIT - feature request #7613: Vaadin: Fehlervermeidung bei Anlegen... New
Related to EDIT - bug #8149: ReferenceEditor: filter inReferences ONLY by app... Closed

Associated revisions

Revision 9bbd60ec - 12/20/2018 09:37 AM - Andreas Kohlbecker
ref #7481 inReference options filtered by applicable type

Revision bc7a1271 - 12/20/2018 11:49 AM - Andreas Kohlbecker

ref #7481 inReference constraints added as method to ReferenceType

Revision 5b9¢1d33 - 12/20/2018 11:56 AM - Andreas Kohlbecker

ref #7481 moving inReference constraints to cdmlib-model

Revision 9eb3b85d - 12/20/2018 01:00 PM - Andreas Kohlbecker

ref #7481 inReference constraints added as method to ReferenceType - making method static

Revision 5dd877d3 - 12/20/2018 03:41 PM - Andreas Kohlbecker

ref #7481 adding validator for in reference type constraints

Revision afb7802b - 01/31/2019 01:38 PM - Andreas Kohlbecker

ref #7481 adding BookSection to inReference constraints

History

#1 - 11/23/2018 12:44 PM - Andreas Kohlbecker

- Related to feature request #7613: Vaadin: Fehlervermeidung bei Anlegen einer Referenz added

#2 - 12/19/2018 06:16 PM - Andreas Kohlbecker

- Subject changed from ReferenceEditor: filter inReferences by applicable reference type? to ReferenceEditor: filter inReferences by applicable
reference type

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.5
https://dev.e-taxonomy.eu/redmine/issues/8149

#3 - 12/20/2018 09:28 AM - Andreas Kohlbecker
- Description updated

- % Done changed from 0 to 10

#4 - 12/20/2018 09:30 AM - Andreas Kohlbecker
- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Hi Henning, do you agree with the constraints as mentioned in the issue description? Anything missing?

#5 - 12/20/2018 09:33 AM - Andreas Kohlbecker

- Description updated

#6 - 12/20/2018 10:50 AM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker
Two comments

AK: Section -> Article | Book | Thesis | Patent | Report | Webpage
W-H.K.: missing: inProceedings | inBookSection

Question: What about a very rare but existing case:

In Ehrenberg's times some articles (prior to publication in a journal) werde printed and delivered to colleagues and libraries (published preprints). Is it
possible to handle these as (small) books? If yes, there is no problem.

#7 - 12/20/2018 11:01 AM - Andreas Kohlbecker
- Description updated
Wolf-Henning Kusber wrote:
Two comments
AK: Section -> Article | Book | Thesis | Patent | Report | Webpage

W-H.K.: missing: inProceedings | inBookSection

1. There is no such type named inBookSection in the cdm
2.inProceedings, good point, | will add this to the list of possible in-reference types for Section

Question: What about a very rare but existing case:
In Ehrenberg's times some articles (prior to publication in a journal) were printed and delivered to colleagues and libraries (published preprints).
Is it possible to handle these as (small) books? If yes, there is no problem.
So we also need to extent Book in this way
® Book -> PrintSeries | Journal
#8 - 12/20/2018 03:44 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
validator added
ready for reviewing
#9 - 12/20/2018 03:45 PM - Andreas Kohlbecker

- Status changed from Feedback to Resolved

- % Done changed from 10 to 50

#10 - 01/30/2019 01:45 PM - Wolf-Henning Kusber

Comment: "There is no such type named inBookSection in the cdm"
Warning "BookSection is not a suitable in-reference type for section"
Workaround: not "in section in book" but " section in book"
Section in inproceedings in proceedings is working.

internal problems with old data:
info: inproceeding can not be linked to the Reference of the Proceedings volume if it is marked as "book"

#11 - 01/30/2019 03:26 PM - Andreas Kohlbecker

- Status changed from Resolved to Feedback

- % Done changed from 50 to 60

Wolf-Henning Kusber wrote:
Comment: "There is no such type named inBookSection in the cdm"
Warning "BookSection is not a suitable in-reference type for section”
Workaround: not "in section in book" but " section in book"

Please can you elaborate why the general section is not suitable in this case?

| think that "Section -in-> BookSection -in-> Book" would be suitable is most cases, and if not you still could use the general section twice: "Section
-in-> Section -in-> Book"

Please open a new ticket for the missing type inBookSection so that we can discuss this independently from this Ul specific ticket. The new issue
should be referenced by this issue via the "Copied to" relation.

#12 - 01/30/2019 03:43 PM - Wolf-Henning Kusber

- File picture977-1.png added

May be a Vaadin problem.

| reproduced the above mentioned

1st step: enter Reference (book)

2nd step: enter Reference (book section in book, see 1st step)

3rd step: enter a new name AND (because of different authorship) try to make a section for the new name.

Vaadin: Warning "BookSection is not a suitable in-reference type for section”

Abarca
) L\ M.Abarca

Berendsohn

Abarca, N. - Booksection in Abarca, N, Book with booksection with section. 1999 n

| think that "Section -in-> BookSection -in-> Book" would be suitable is most cases... Comment: Yes, | tried.
AK: "and if not you still could use the general section twice: "Section -in-> Section -in-> Book"
Comming from "New" reference, | cannot select "section", just "book section".
This way it is not working.

#13 - 01/30/2019 04:14 PM - Andreas Kohlbecker

- Status changed from Feedback to In Progress

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Ah ok! We will extend the allowed inref types for section by adding BookSection:

Section -> Article | Book | Thesis | Patent | Report | Webpage | inProceedings | BookSection

#14 - 01/31/2019 01:38 PM - Andreas Kohlbecker

- Description updated

#15 - 01/31/2019 01:40 PM - Andreas Kohlbecker

- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
- % Done changed from 60 to 70

BookSection is now added to the allowed inReference types for Section.
please review again.

#16 - 02/07/2019 07:08 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 70 to 100

Section in Booksection is now possible. Ticket can be closed.

#17 - 02/07/2019 10:20 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#18 - 02/28/2019 03:08 PM - Andreas Kohlbecker

- Description updated

#19 - 02/28/2019 03:10 PM - Andreas Kohlbecker

- Description updated

#20 - 02/28/2019 03:10 PM - Andreas Kohlbecker
- Related to bug #8149: ReferenceEditor: filter inReferences ONLY by applicable reference type suppess Generic and NULL added

Files

picture977-1.png 45.3 KB 01/30/2019 Wolf-Henning Kusber
